6.0.0-git
2019-08-23

[#5988] No #shared in IMP tree, also no childeren in the tree
Summary No #shared in IMP tree, also no childeren in the tree
Queue IMP
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners
Requester rjvbaal (at) robacomm (dot) nl
Created 2007-12-13 (4271 days ago)
Due
Updated 2008-05-19 (4113 days ago)
Assigned 2007-12-13 (4271 days ago)
Resolved 2008-05-16 (4116 days ago)
Milestone
Patch No

History
2008-05-19 08:13:38 rsalmon (at) mbpgroup (dot) com Comment #17 Reply to this comment


It still doesn't work here without the imap_config section in the 
servers.php file. Can you send your servers.php file ?
Problem corrected in the latest RC.

Thank's !
the shared folder [#shared.rsalmon.test] is not showing in IMP but
works fine with thunderbird.
2008-05-16 15:22:42 Chuck Hagenbuch State ⇒ Resolved
 
2008-05-16 14:42:43 pascal (dot) poudrier (at) geothentic (dot) com Comment #16 Reply to this comment
Problem corrected in the latest RC.



Thank's !

[Show Quoted Text - 196 lines]
2008-01-03 10:24:28 rsalmon (at) mbpgroup (dot) com Comment #15 Reply to this comment
the shared folder [#shared.rsalmon.test] is not showing in IMP but 
works fine with thunderbird.



courier-imap 4.2.1



servers.php config

$servers['imap'] = array(

     'name' => 'IMAP Server',

     'server' => '127.0.0.1',

     'hordeauth' => true,

     'protocol' => 'imap/notls',

     'port' => 143,

     'maildomain' => 'mbp.local',

     'smtphost' => '127.0.0.1',

     'smtpport' => 25,

     'realm' => '',

     'preferred' => '',

     'quota' => array(

         'driver' => 'imap',

         'params' => array(),

     ),

     'acl' => array(

         'driver' => 'rfc2086',

     )

);

In Folders.php i have put the following line at the end off the file



print_r($imptree);



This is the result:

IMP_Tree Object

(

     [_tree] => Array

         (

             [%] => Array

                 (

                     [a] => 1024

                     [v] => %

                 )



             [INBOX.Brouillon] => Array

                 (

                     [a] => 576

                     [c] => 0

                     [p] => %

                     [v] => INBOX.Brouillon

                     [l] => Brouillon

                 )



             [INBOX.Trash] => Array

                 (

                     [a] => 576

                     [c] => 0

                     [p] => %

                     [v] => INBOX.Trash

                     [l] => Trash

                 )



             [INBOX.Sent-12-2007] => Array

                 (

                     [a] => 576

                     [c] => 0

                     [p] => %

                     [v] => INBOX.Sent-12-2007

                     [l] => Sent-12-2007

                 )



             [INBOX.Spam] => Array

                 (

                     [a] => 576

                     [c] => 0

                     [p] => %

                     [v] => INBOX.Spam

                     [l] => Spam

                 )



             [INBOX.Sent] => Array

                 (

                     [a] => 576

                     [c] => 0

                     [p] => %

                     [v] => INBOX.Sent

                     [l] => Sent

                 )



             [INBOX] => Array

                 (

                     [a] => 2632

                     [c] => 0

                     [p] => %

                     [v] => INBOX

                     [l] => Boîte de réception

                 )



         )



     [_currparent] =>

     [_currkey] =>

     [_currstack] => Array

         (

         )



     [_showunsub] => 2

     [_parent] => Array

         (

             [%] => Array

                 (

                     [0] => INBOX

                     [1] => INBOX.Brouillon

                     [2] => INBOX.Sent

                     [3] => INBOX.Sent-12-2007

                     [4] => INBOX.Spam

                     [5] => INBOX.Trash

                 )



         )



     [_poll] =>

     [_expanded] => Array

         (

             [#shared.rsalmon] => 1

         )



     [_subscribed] => Array

         (

             [INBOX] => 1

             [INBOX.Brouillon] => 1

             [INBOX.Trash] => 1

             [INBOX.Sent-12-2007] => 1

             [INBOX.Spam] => 1

             [INBOX.Sent] => 1

             [#shared.rsalmon.test] => 1

         )



     [_unsubscribed] =>

     [_initmode] => 0

     [_changed] =>

     [_unsubview] => 2

     [_imap_sort] =>

     [_server] => {127.0.0.1:143/imap/notls}

     [_namespaces] => Array

         (

             [INBOX.] => Array

                 (

                     [name] => INBOX.

                     [delimiter] => .

                     [type] => personal

                     [hidden] =>

                 )



             [#shared.] => Array

                 (

                     [name] => #shared.

                     [delimiter] => .

                     [type] => shared

                     [hidden] =>

                 )



             [shared.] => Array

                 (

                     [name] => shared.

                     [delimiter] => .

                     [type] => shared

                     [hidden] =>

                 )



         )



     [_childrensupport] => 1

     [_eltdiff] =>

     [_elt] => Array

         (

             [trash] => INBOX.Trash

             [draft] => INBOX.Brouillon

             [spam] => INBOX.Spam

             [sent] => Array

                 (

                     [0] => INBOX.Sent

                 )



             [image_dir] => /horde/imp/themes/graphics

         )



     [_forceopen] =>

     [_delimiter] => .

     [_currStack] => Array

         (

         )



)





Hope this helps.

If you need anything else, just ask.



Ronan.
2007-12-28 11:31:16 rsalmon (at) mbpgroup (dot) com Comment #14 Reply to this comment
I have the same problem.

please see bug 6052 (dupicate of 5988).



Thanks,

Ronan.
2007-12-22 06:37:14 Michael Slusarz Comment #13
State ⇒ Stalled
Reply to this comment
In the first post the folders are not shown in IMP, in the second
post i have used the configuration as above. This is working and the
folders are visible.
Your manual configuration is not correct based on what your IMAP 
server is reporting.  Your personal folder should be 'INBOX.' not ''.
my server sents:
NAMESPACE (("INBOX." ".")) NIL (("#shared." ".")("shared." "."))
So i have personal namespaces
NO otherusers namespaces
and multiple shared namespaces
And this is **exactly** what IMP is autodetecting (the dump in the 1st entry).



You will need to debug the code yourself since I (nor anyone else) can 
reproduce this problem - I have multiple shared namespaces and they 
display fine here.
2007-12-14 13:52:58 rjvbaal (at) robacomm (dot) nl Comment #12 Reply to this comment

[Show Quoted Text - 15 lines]
In the first post the folders are not shown in IMP, in the second post 
i have used the configuration as above. This is working and the 
folders are visible.

Folders are displayed whithout the "#shared."

I know that type must be 'other' or 'shared' , but with the above 
option the folders are displayed.

The folder are already subscribed by the thunderbird program,  and i 
have checked the file in the Maildir map.

toner# cat courierimapsubscribed

INBOX.Trash

INBOX.Sent

INBOX.Drafts

INBOX.sent-mail

INBOX.Test

#shared.orange

#shared.spam

#shared.systeem

#shared.orange.Asser

#shared.orange.Enerfree



According to the RFC2342 the:



1e field = personal

2e field = other users

3 .... X e field = multiple shared namespaces



my server sents:

NAMESPACE (("INBOX." ".")) NIL (("#shared." ".")("shared." "."))

So i have personal namespaces

NO otherusers namespaces

and multiple shared namespaces



again a telnet dump

2 namespace

* NAMESPACE (("INBOX." ".")) NIL (("#shared." ".")("shared." "."))

2 OK NAMESPACE completed.

3 list "" "#shared.%"

* LIST (\HasNoChildren) "." "#shared.spam"

* LIST (\HasNoChildren) "." "#shared.systeem"

* LIST (\HasChildren) "." "#shared.orange"

3 OK LIST completed



Kind Regards Robert-Jan
2007-12-14 07:50:36 Michael Slusarz Comment #11 Reply to this comment
Your imap_config is wrong, for starters.  Your mailserver is reporting:



* NAMESPACE (("INBOX." ".")) NIL (("#shared." ".")("shared." "."))



Yet you have:

'#shared.' => array(

     'name' => '#shared.',

     'delimiter' => '.',

     'type' => 'personal',

     'hidden' => false

)



'type' should be 'other', not 'personal'.



Second, you are showing unsubscribed folders in IMP right?
2007-12-14 06:58:18 rjvbaal (at) robacomm (dot) nl Comment #10 Reply to this comment
It indicate #shared.spam #shared.spam #shared.orange etc see above dump
No it doesn't.  Those are polled folder entries stored as a
preference on the IMP side.  Existence of these entries mean that
these folders existed at some point in the past, but tells nothing
about whether the #shared namespace is presently available.
Okay thats a little bit confusing.

Why can thunderbird and outlook express see the folders and IMP not, 
in early versions of IMP (without namespace detection) it also works.



I have tested my connection with telnet again, this is the result:



1 OK LOGIN Ok.

2 namespace

* NAMESPACE (("INBOX." ".")) NIL (("#shared." ".")("shared." "."))

2 OK NAMESPACE completed.

3 select #shared.systeem

* FLAGS (\Draft \Answered \Flagged \Deleted \Seen \Recent)

* OK [PERMANENTFLAGS (\* \Draft \Answered \Flagged \Deleted \Seen)] Limited

* 71 EXISTS

* 0 RECENT

* OK [UIDVALIDITY 1195680933] Ok

* OK [MYRIGHTS "acdilrsw"] ACL

3 OK [READ-WRITE] Ok



Looks fine to me.
2007-12-14 00:16:40 Jan Schneider Version ⇒ HEAD
 
2007-12-13 22:09:03 Michael Slusarz Comment #9 Reply to this comment
It indicate #shared.spam #shared.spam #shared.orange etc see above dump
No it doesn't.  Those are polled folder entries stored as a preference 
on the IMP side.  Existence of these entries mean that these folders 
existed at some point in the past, but tells nothing about whether the 
#shared namespace is presently available.


2007-12-13 22:08:49 rjvbaal (at) robacomm (dot) nl Comment #8 Reply to this comment
There are no #shared folders appearing in the folder list at all.
Are you sure you can access #shared on your IMAP server?
To clarify, the dump of imap_tree data indicates your IMAP server is
not reporting any folders exist under #shared.
When i connect with Mozzila Thunderbird the folders are showing normal.

I even can subscribe and unsubscribe.

When i telnet to the server this is the message

Trying ::1...

Connected to localhost.

Escape character is '^]'.

* OK [CAPABILITY IMAP4rev1 UIDPLUS CHILDREN NAMESPACE 
THREAD=ORDEREDSUBJECT THREAD=REFERENCES SORT QUOTA IDLE ACL ACL2=UNION 
STARTTLS] Courier-IMAP ready. Copyright 1998-2005 Double Precision, 
Inc.  See COPYING for distribution information.


2007-12-13 22:01:40 rjvbaal (at) robacomm (dot) nl Comment #7 Reply to this comment
And please tell us if you really use RELENG_3 of IMP, this version is
no longer supported anyway.
I have the CVS checkout from 12-12-07

command used:

setenv CVSROOT :pserver:cvsread@anoncvs.horde.org:/repository

cvs co imp



This is the imptree dump (already posted in the first message



IMP_Tree Object ( [_tree] => Array ( [%] => Array ( [a] => 1024 [v] => 
% ) [INBOX.Test] => Array ( [a] => 832 [c] => 0 [p] => % [v] => 
INBOX.Test [l] => Test ) [INBOX.sent-mail] => Array ( [a] => 832 [c] 
=> 0 [p] => % [v] => INBOX.sent-mail [l] => sent-mail ) [INBOX.Drafts] 
=> Array ( [a] => 832 [c] => 0 [p] => % [v] => INBOX.Drafts [l] => 
Drafts ) [INBOX.Sent] => Array ( [a] => 832 [c] => 0 [p] => % [v] => 
INBOX.Sent [l] => Sent ) [INBOX.Trash] => Array ( [a] => 832 [c] => 0 
[p] => % [v] => INBOX.Trash [l] => Trash ) [INBOX] => Array ( [a] => 
2856 [c] => 0 [p] => % [v] => INBOX [l] => Inbox ) ) [_currparent] => 
[_currkey] => [_currstack] => Array ( ) [_showunsub] => 0 [_parent] => 
Array ( [%] => Array ( [0] => INBOX [1] => INBOX.Drafts [2] => 
INBOX.Sent [3] => INBOX.sent-mail [4] => INBOX.Test [5] => INBOX.Trash 
) ) [_poll] => [_expanded] => [_subscribed] => Array ( [INBOX] => 1 
[INBOX.Test] => 1 [INBOX.sent-mail] => 1 [INBOX.Drafts] => 1 
[INBOX.Sent] => 1 [INBOX.Trash] => 1 [#shared.orange.Enerfree] => 1 
[#shared.orange.Asser] => 1 [#shared.systeem] => 1 [#shared.spam] => 1 
[#shared.orange] => 1 ) [_unsubscribed] => [_initmode] => 0 [_changed] 
=> [_unsubview] => 0 [_imap_sort] => [_server] => 
{192.168.10.1:143/imap/notls} [_namespaces] => Array ( [INBOX.] => 
Array ( [name] => INBOX. [delimiter] => . [type] => personal [hidden] 
=> ) [#shared.] => Array ( [name] => #shared. [delimiter] => . [type] 
=> shared [hidden] => ) [shared.] => Array ( [name] => shared. 
[delimiter] => . [type] => shared [hidden] => ) ) [_childrensupport] 
=> 1 [_eltdiff] => [_elt] => Array ( [trash] => INBOX.Trash [draft] => 
INBOX.Drafts [spam] => INBOX. [sent] => Array ( [0] => INBOX.sent-mail 
) [image_dir] => /horde/imp/themes/graphics ) [_forceopen] => 
[_delimiter] => . [_currStack] => Array ( ) )



It indicate #shared.spam #shared.spam #shared.orange etc see above dump




2007-12-13 18:32:39 Jan Schneider Comment #6 Reply to this comment
And please tell us if you really use RELENG_3 of IMP, this version is 
no longer supported anyway.
2007-12-13 18:26:30 Michael Slusarz Comment #5 Reply to this comment
There are no #shared folders appearing in the folder list at all.
Are you sure you can access #shared on your IMAP server?
To clarify, the dump of imap_tree data indicates your IMAP server is 
not reporting any folders exist under #shared.
2007-12-13 18:25:18 Michael Slusarz Comment #4 Reply to this comment
There are no #shared folders appearing in the folder list at all.  Are 
you sure you can access #shared on your IMAP server?
2007-12-13 18:22:15 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
Please post a dump of $imptree that is better readable.
2007-12-13 14:41:37 rjvbaal (at) robacomm (dot) nl Comment #2 Reply to this comment
Ok i have tried to do something else.



servers.php:



/* Example configurations: */

$servers['imap'] = array(

     'name' => 'IMAP Server',

     'server' => '192.168.10.1',

     'hordeauth' => false,

     'protocol' => 'imap/notls',

     'port' => 143,

     'maildomain' => 'robacomm.nl',

     'smtphost' => '192.168.10.1',

     'smtpport' => 25,

     'acl' => array(

         'driver' => 'rfc2086',

),

#

'imap_config' => array(

     'children' => true,

     'namespace' => array(

         '' => array(

             'name' => '',

             'delimiter' => '.',

             'type' => 'personal',

             'hidden' => false

         ),

         '#shared.' => array(

             'name' => '#shared.',

             'delimiter' => '.',

             'type' => 'personal',

             'hidden' => false

         ),

    ),

     'search_charset' => array(

         'UTF-8' => true

     )

)

#



);



For now my shared maps are displayed in the normal personal tree, it 
looks like the shared and public maps are not displayed in the Tree.
2007-12-13 11:52:01 rjvbaal (at) robacomm (dot) nl Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ No #shared in IMP tree, also no childeren in the tree
Queue ⇒ IMP
Reply to this comment
Hi, iam connecting to a Courier-Imap server i see the INBOX and the 
sub folders, but the subfolders are defined as no child



servers.php config



/* Example configurations: */

$servers['imap'] = array(

     'name' => 'IMAP Server',

     'server' => '192.168.10.1',

     'hordeauth' => false,

     'protocol' => 'imap/notls',

     'port' => 143,

     'maildomain' => 'robacomm.nl',

     'smtphost' => '192.168.10.1',

     'smtpport' => 25,

     'acl' => array(

         'driver' => 'rfc2086',

),

);



In Folders.php i have put the following line at the end off the file



print_r($imptree);



This is the result:



IMP_Tree Object ( [_tree] => Array ( [%] => Array ( [a] => 1056 [v] => 
% ) [INBOX.Test] => Array ( [a] => 576 [c] => 0 [p] => % [v] => 
INBOX.Test [l] => Test ) [INBOX.sent-mail] => Array ( [a] => 576 [c] 
=> 0 [p] => % [v] => INBOX.sent-mail [l] => sent-mail ) [INBOX.Drafts] 
=> Array ( [a] => 576 [c] => 0 [p] => % [v] => INBOX.Drafts [l] => 
Drafts ) [INBOX.Sent] => Array ( [a] => 576 [c] => 0 [p] => % [v] => 
INBOX.Sent [l] => Sent ) [INBOX.Trash] => Array ( [a] => 576 [c] => 0 
[p] => % [v] => INBOX.Trash [l] => Trash ) [INBOX] => Array ( [a] => 
2600 [c] => 0 [p] => % [v] => INBOX [l] => Inbox ) [Virtuele mappen%] 
=> Array ( [a] => 26146 [c] => 0 [p] => % [v] => Virtuele mappen% [l] 
=> Virtuele mappen ) [**search_665eowhme8gss040sosso] => Array ( [a] 
=> 9792 [c] => 1 [p] => Virtuele mappen% [v] => 
**search_665eowhme8gss040sosso [l] => Virtuele INBOX ) ) [_currparent] 
=> [_currkey] => [_currstack] => Array ( ) [_showunsub] => 0 [_parent] 
=> Array ( [%] => Array ( [0] => INBOX [1] => INBOX.Drafts [2] => 
INBOX.Sent [3] => INBOX.sent-mail [4] => INBOX.Test [5] => INBOX.Trash 
[6] => Virtuele mappen% ) [Virtuele mappen%] => Array ( [0] => 
**search_665eowhme8gss040sosso ) ) [_poll] => [_expanded] => 
[_subscribed] => Array ( [INBOX] => 1 [INBOX.Test] => 1 
[INBOX.sent-mail] => 1 [INBOX.Drafts] => 1 [INBOX.Sent] => 1 
[INBOX.Trash] => 1 [#shared.orange.Enerfree] => 1 
[#shared.orange.Asser] => 1 [#shared.systeem] => 1 [#shared.spam] => 1 
[#shared.orange] => 1 [Virtuele mappen%] => 1 
[**search_665eowhme8gss040sosso] => 1 ) [_unsubscribed] => [_initmode] 
=> 0 [_changed] => [_unsubview] => 0 [_imap_sort] => [_server] => 
{192.168.10.1:143/imap/notls} [_namespaces] => Array ( [INBOX.] => 
Array ( [name] => INBOX. [delimiter] => . [type] => personal [hidden] 
=> ) [#shared.] => Array ( [name] => #shared. [delimiter] => . [type] 
=> shared [hidden] => ) [shared.] => Array ( [name] => shared. 
[delimiter] => . [type] => shared [hidden] => ) ) [_childrensupport] 
=> 1 [_eltdiff] => [_elt] => Array ( [trash] => INBOX. [draft] => 
INBOX. [spam] => INBOX. [sent] => Array ( [0] => INBOX.sent-mail ) 
[image_dir] => /horde/imp/themes/graphics ) [_forceopen] => 
[_delimiter] => . [_currStack] => Array ( ) )



I see the #shared. but this is not visable in the list, is this a bug 
or just a stupid configuration error?






Saved Queries